Cite: Provide a way for users to find articles which have the reference list inserted automatically
OpenPublic

Assigned To
None
Priority
High
Author
Gadget850
Subscribers
Dereckson, Markhurd, Jackmcbarn and 17 others
Projects
Tokens
"Orange Medal" token, awarded by Se4598.
Security
None
Reference
bz67700
Description

T68860: https://gerrit.wikimedia.org/r/#/c/141583/

When the patch 141583 is deployed, if the reference list markup is missing then the reference list will automatically show at the end of the page. 'MediaWiki:Cite error refs without references' will no longer be triggered and no error will show.

The manner in which the automatic reference list is displayed has some issues.

  • No markup is inserted, thus follow-on editors will be confused as to why the reference list is showing. There will be a learning curve associated with this.
  • No heading is added, resulting in a layout issue.
  • The automatic reference list shows at the very end of the page, again a layout issue.

On the English Wikipedia (and perhaps others) the error currently places the page in a maintenance category so that concerned editors can repair it.

Without an error message or a category, there is no way to track this. Either repurpose 'MediaWiki:Cite error refs without references' or add a different MediaWiki page that is triggered when the automatic reference list is generated; it will the place the page in a hidden maintenance category. On the English Wikipedia, this is 'Category:Pages with missing references list'.


Version: master
Severity: enhancement
See Also: T74858

bzimport added a project: Cite.Via ConduitNov 22 2014, 3:28 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz67700.
Gadget850 created this task.Via LegacyJul 8 2014, 11:22 PM
Jdforrester-WMF added a comment.Via ConduitJul 8 2014, 11:53 PM

In bug 66860 comment 13 I suggested a default-blank system message which, iff set, will add such pages to that category for maintenance purposes. Are you OK with this?

Gadget850 added a comment.Via ConduitJul 9 2014, 12:15 AM

Works for me. I can make a minor change to the broken ref template to not show any message.

Jdforrester-WMF added a comment.Via ConduitJul 9 2014, 12:24 AM

(In reply to Gadget850 from comment #2)

Works for me. I can make a minor change to the broken ref template to not
show any message.

There are 900 Wikimedia wikis plus countless others. Re-purposing an existing message generally causes massive breakage, which is why we don't do it, and instead create a new one.

Gadget850 added a comment.Via ConduitJul 10 2014, 10:46 PM

(In reply to James Forrester from comment #3)

(In reply to Gadget850 from comment #2)
> Works for me. I can make a minor change to the broken ref template to not
> show any message.

There are 900 Wikimedia wikis plus countless others. Re-purposing an
existing message generally causes massive breakage, which is why we don't do
it, and instead create a new one.

Makes sense

Gadget850 added a comment.Via ConduitJul 10 2014, 10:46 PM

See my latest comments on Bug 66860.

gerritbot added a comment.Via ConduitJul 11 2014, 12:06 AM

Change 145474 had a related patch set uploaded by Alex Monk:
Provide way for users to find articles with the automatic <references />

https://gerrit.wikimedia.org/r/145474

gerritbot added a comment.Via ConduitJul 12 2014, 9:06 AM

Change 145474 merged by jenkins-bot:
Provide way for users to find articles with the automatic <references />

https://gerrit.wikimedia.org/r/145474

Bultro added a comment.Via ConduitJul 16 2014, 2:30 PM

so, what's the new message?

Jdforrester-WMF added a comment.Via ConduitJul 16 2014, 3:12 PM

(In reply to Bultro from comment #8)

so, what's the new message?

cite_error_refs_without_references_category. See Tech News 29 which went out on Monday – https://meta.wikimedia.org/w/index.php?title=Tech/News/2014/29&diff=9177389&oldid=9177343

Gadget850 added a comment.Via ConduitJul 16 2014, 3:21 PM

Looking at the patch, the new interface page is "MediaWiki:Cite error refs without references category". As I see it, the page is blank by default.

On enwiki I set it to "Pages with an automatically generated reference list". I then set "Category:Pages with an automatically generated reference list" to a subcat of "Category:Pages with missing references list".

"MediaWiki:Cite error refs without references category-desc" was also added which will have the default of:

"The page has <code><nowiki><ref></nowiki></code>s defined with no specific group, but it has no explicit <code><nowiki><references /></nowiki><
/code> tag."

I don't see what triggers this. This page is not defined on testwiki, so I don't think the patch is applied there yet.

Tech News shows this patch as a "future software change" and it does not show in the 1.24wmf13 change log, so I don't know if it is going to be deployed with 13 later today.

Jdforrester-WMF added a comment.Via ConduitJul 16 2014, 3:35 PM

(In reply to Gadget850 from comment #10)

Tech News shows this patch as a "future software change" and it does not
show in the 1.24wmf13 change log, so I don't know if it is going to be
deployed with 13 later today.

The code will be deployed in 1.24wmf14. Unhelpfully Tech News and Bugzilla (except for VE where I did a hack) give no reliable way to determine this, sorry. :-(

Jdforrester-WMF added a comment.Via ConduitJul 16 2014, 3:53 PM
  • Bug 68107 has been marked as a duplicate of this bug. ***
Krenair added a comment.Via ConduitJul 16 2014, 3:55 PM

(In reply to Gadget850 from comment #10)

"MediaWiki:Cite error refs without references category-desc" was also added
which will have the default of:

"The page has <code><nowiki><ref></nowiki></code>s defined with no specific
group, but it has no explicit <code><nowiki><references /></nowiki><
/code> tag."

I don't see what triggers this. This page is not defined on testwiki, so I
don't think the patch is applied there yet.

Per the review notes, that message is for Special:TrackingCategories. And no, it shouldn't be deployed there yet.

Krinkle added a comment.EditedVia ConduitJul 24 2014, 7:29 PM

This patchset was reverted in change: I923ed39f405d926b70a5098cbde6eee0538eee51

https://gerrit.wikimedia.org/r/149091

bzimport added a comment.Via ConduitAug 19 2014, 11:48 PM

romaine.wiki wrote:

When is this going live? We are waiting for this...

Jdforrester-WMF added a comment.Via ConduitAug 19 2014, 11:56 PM

(In reply to Romaine from comment #15)

When is this going live? We are waiting for this...

It's not right now. We need to regroup and work out from scratch how to do this. It may need significant wider work fixing MediaWiki to make it possible.

fbstj edited the task description. (Show Details)Via WebNov 24 2014, 1:12 PM
fbstj set Security to None.
fbstj removed a subscriber: fbstj.
fbstj added a subscriber: fbstj.
Se4598 awarded a token.Via WebNov 30 2014, 5:44 PM
Se4598 added a subscriber: Se4598.
Se4598 added a comment.Via WebDec 28 2014, 12:07 AM

any update on this?
We had a patchset that was working. But from hearsay this would have caused parser failure and thus was reverted.

Jforrester at gerrit:149091
Edits made to pages with <ref>s in them (so, you know, a few) would sometimes (but not dependably) be corrupted on parse, replacing <ref>Foo</ref> with UNIQ-xxxxxxxxxxxx-QINU (parser failure tag) on render or save.

I know it's the parser but has someone a clue why this should not working? Onlything added is:

$parser->addTrackingCategory( 'cite_error_refs_without_references_category' );
Nemo_bis added a subscriber: Nemo_bis.Via WebJan 3 2015, 8:49 PM
This comment was removed by Nemo_bis.
Krinkle removed a subscriber: Krinkle.Via WebJan 9 2015, 3:23 AM
MZMcBride added a subscriber: MZMcBride.Via WebApr 20 2015, 3:37 AM

Yeah... this is a bit bizarre. I'd like to better understand why https://gerrit.wikimedia.org/r/149091 was necessary.

In the past, I've usually hacked around this problem by simply adding a category to the error message text via an edit to a message in the MediaWiki namespace on a specific wiki. Can we do that right now as a intermediate measure?

MZMcBride added a comment.Via WebApr 20 2015, 3:49 AM

I looked at https://gerrit.wikimedia.org/r/145474 briefly. I'm not sure why the tracking category logic was added in the context of grouped references logic. I can see how this might be potentially dangerous. Is there a higher-level place in Cite_body.php where we could insert this check? I feel like there must be.

PeterBowman added a subscriber: PeterBowman.Via WebThu, May 7, 4:04 PM
matmarex added subscribers: matmarex, Jackmcbarn.Via WebTue, May 19, 3:12 PM

This is likely to be possible now without everything exploding thanks to 944b24542827f827cdfb8646f1c2e87aeb929b65 / https://gerrit.wikimedia.org/r/#/c/181112/.

Add Comment